@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700&display=swap');

:root{
    --green: #DB7093FF;
}

*{
    font-family: 'Roboto', sans-serif;
    margin:0; padding:0;
    box-sizing: border-box;
    outline: none; border:none;
    text-decoration: none;
    transition: all .2s linear;
}

*::selection{
    background:var(--green);
    color:palevioletred;
}

html{
    font-size: 50%;
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 7rem;
}

section{
    padding:1.5rem 9%;
}
@keyframes homebgtext {
    0%,
    10%,
    100%
    {
        background-position: -33rem 0;
    }
    65%,85%{
        background-position: 0 0;
    }
}

.heading{
    font-size: 3rem;
    color:#444;
    padding-left: 1rem;
    border-left: .4rem solid var(--green);
    margin-top: 1rem;
    margin-bottom: 3rem;
}

.btn{
    display: inline-block;
    margin-top: 1rem;
    padding:.8rem 3rem;
    background:var(--green);
    color:#fff;
    font-size: 1.7rem;
    cursor: pointer;
}

.btn:hover{
    background:#333;
}

.header-1,
.header-2,
.header-3{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding:2rem 9%;
    background:var(--green);
}

.header-1{
    border-bottom: .1rem solid rgba(255,255,255,.2);
}

.header-3{
    background: lavenderblush;
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
    position: relative;
    z-index: 10000;
}

.header-1 span{
    font-weight: lighter;
    color: #ffffff;
    font-size: 1.7rem;
}

.header-1 a{
    padding:0 .7rem;
    color: mistyrose;
    font-size: 2rem;
}

.header-1 a:hover{
    color: lightblue;
}





ul li{display: inline-block;
    position: relative;

}
ul li a{
    display: block;
    pandding:20px 25px;
    color: #ffffff;
    text-decoration: none;
    text-align: center;
    font-size: 20px;
}





ul li ul.dropdown li {
display:block ;
}


ul li ul.dropdown  {
   width: 100%;
    background: #ffffff;
    position: absolute;
    z-index: 999;
    display: none;

}

ul li:hover ul.dropdown{
    display:  block;
}













.header-2 .logo{
    font-style: italic;
    font-family: italic;
    font-weight: bolder;
   /* background: #999999;*/
    font-size: 7rem;
    color:transparent;
    font-family: 'Lumanosimo', cursive;
    font-family: 'Roboto Mono', monospace;
    -webkit-text-stroke: 1.5px black;
    background-image: linear-gradient(rgba(255, 235, 205, 0.6), #999999);
    background-repeat: no-repeat;
    -webkit-background-clip: text;
    background-position: 0 0;
    animation: homebgtext 6s linear infinite;
    animation-delay: 2s;

}
.header-2 .logo ::before
{
    content: '';
    position: absolute;
    top:0;
    left:0;
    width: 0;
    height: 0;
    border-right: 2px solid white;
    z-index: -1;
}



.header-2 .search-bar-container{
    display: flex;
    align-items: center;
    width: 50rem;
    padding:1.5rem;
    background:rgba(255,255,255,.2);
    border-radius: .5rem;
}

.header-2 .search-bar-container #search-bar{
    width: 100%;
    background:none;
    text-transform: none;
    color:#fff;
    font-size: 1.7rem;
}

.header-2 .search-bar-container #search-bar::placeholder{
    text-transform: capitalize;
    color:#ddd;
}

.header-2 .search-bar-container label{
    color:#fff;
    cursor: pointer;
    font-size: 2rem;
    padding:0 .5rem;
}

.header-2 .search-bar-container label:hover{
    color:yellow;
}

.header-3 .navbar a{
    color:#666;
    font-size: 2rem;
    margin-right: 2rem;
}

.header-3 .icons a{
    color:#666;
    font-size: 2.5rem;
    margin-left: 2rem;
}

.header-3 a:hover{
    color:var(--green);
}

#menu-bar{
    font-size: 3rem;
    color:#666;
    border:.1rem solid #666;
    border-radius: .5rem;
    padding:.5rem 1.5rem;
    cursor: pointer;
    display: none;
}

.header-3.active{
    position: fixed;
    top:0; left: 0; right: 0;
}

.home{
    padding-top: 0;
}

.home .home-slider{
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
    border:.1rem solid rgba(0,0,0,.3);
    border-top: 0;
}

.home .home-slider .box{
    background-size: cover !important;
    background-position: center !important;
    min-height: 55rem;
    position: relative;
}

.home .home-slider .box .content{
    position: absolute;
    top:50%; left: 5%;
    transform: translateY(-50%);
    max-width: 50rem;
}

.home .home-slider .box .content span{
    font-size: 2rem;
    color:#444;
}

.home .home-slider .box .content h3{
    font-size: 6rem;
    font-family: "JetBrains Mono Light";
    color:#333;
    padding:.5rem 0;
}

.banner-container{
    display: flex;
    flex-wrap: wrap;
    gap:1.5rem;
}

.banner-container .banner{
    flex:1 1 40rem;
    height:25rem;
    border:.1rem solid rgba(0,0,0,.3);
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
    overflow: hidden;
    position: relative;
}

.banner-container .banner .content{
    position: absolute;
    top:50%; left: 4%;
    transform: translateY(-50%);
}

.banner-container .banner img{
    height: 100%;
    width:100%;
    object-fit: cover;
}

.banner-container .banner .content span{
    color:#666;
    font-size:1.7rem;
}

.banner-container .banner .content h3{
    color:#333;
    font-size:3rem;
}

.banner-container .banner:hover img{
    transform: scale(1.2);
}

.category .box-container{
    display: flex;
    flex-wrap: wrap;
    gap:1.5rem;
}

.category .box-container .box{
    position: relative;
    flex:1 1 23rem;
    height: 35rem;
    overflow: hidden;
    border:.1rem solid rgba(0,0,0,.3);
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
}

.category .box-container .box img{
    height: 100%;
    width:100%;
    object-fit: cover;
}

.category .box-container .box .content{
    position: absolute;
    bottom: -5.5rem;
    background: #fff;
    border-top:.1rem solid rgba(0,0,0,.3);
    text-align: center;
    padding:.5rem 0;
    width:100%;
}

.category .box-container .box:hover .content{
    bottom:0;
}

.category .box-container .box .content h3{
    color:#333;
    font-size: 2.5rem;
    padding:.5rem 0;
}

.category .box-container .box .content .btn{
    margin-bottom: 1.3rem;
}

.product .box-container{
    display: flex;
    flex-wrap: wrap;
    gap:2rem;
}

.product .box-container .box{
    flex:1 1 30rem;
    border:.1rem solid rgba(0,0,0,.3);
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
    text-align: center;
    position: relative;
    overflow: hidden;
}

.product .box-container .box img{
    height: 30rem;
    width:100%;
    border-bottom:.1rem solid rgba(0,0,0,.3);
    object-fit: cover;
}

.product .box-container .box .discount{
    position: absolute;
    top:1rem; left:1rem;
    background:rgba(0,255,0,.1);
    color:var(--green);
    font-size: 2rem;
    padding:.5rem 1rem;
}

.product .box-container .box .icons{
    position: absolute;
    top:1rem; right:-8rem;
    display: flex;
    flex-flow: column;
    background:#fff;
    border-radius: 5rem;
    padding:.5rem;
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
}

.product .box-container .box:hover .icons{
    right:1rem;
}

.product .box-container .box .icons a{
    height: 4rem;
    width:4rem;
    line-height: 4rem;
    font-size: 1.5rem;
    color:#333;
    border-radius: 5rem;
    margin:.1rem;
}

.product .box-container .box .icons a:hover{
    color:#fff;
    background:var(--green);
}

.product .box-container .box h3{
    color:#333;
    font-size: 2.5rem;
    padding:1rem 0;
}

.product .box-container .box .stars i{
    color:gold;
    font-size: 2rem;
}

.product .box-container .box .quantity{
    padding:1rem 0;
}

.product .box-container .box .quantity span{
    font-size: 2rem;
}

.product .box-container .box .quantity input{
    font-size: 2rem;
    padding:.5rem;
    text-align: center;
    background:rgba(0,0,0,.1);
}

.product .box-container .box .price{
    font-weight: bolder;
    color:var(--green);
    font-size: 2rem;
}

.product .box-container .box .price span{
    text-decoration: line-through;
    color:#999;
    font-size: 1.5rem;
}

.product .box-container .box .btn{
    display: block;
    margin:2rem;
}

.icons-container{
    display: flex;
    flex-wrap: wrap;
    gap:2rem;
}

.icons-container .icon{
    padding:2rem 0;
    display: flex;
    align-items: center;
    flex:1 1 25rem;
}

.icons-container .icon .content{
    padding-left: 2rem;
}

.icons-container .icon .content h3{
    font-size: 2rem;
    color:var(--green);
}

.icons-container .icon .content p{
    font-size: 1.5rem;
    color:#666;
}

.deal .row{
    display: flex;
    flex-wrap: wrap;
    gap:1.5rem;
    align-items: center;
}

.deal .row .image{
    flex:1 1 40rem;
}

.deal .row .image img{
    width:100%;
}

.deal .row .content{
    flex:1 1 40rem;
}

.deal .row .content .title{
    font-size: 3.5rem;
    color:#333;
}

.deal .row .content p{
    font-size: 1.5rem;
    color:#666;
    padding:1rem 0;
}

.deal .row .content .count-down{
    display: flex;
    padding:1rem 0;
    gap:1.5rem;
}

.deal .row .content .count-down .box{
    width:9rem;
    text-align: center;
    border:.1rem solid rgba(0,0,0,.3);
}

.deal .row .content .count-down .box h3{
    font-size: 5rem;
    color:#333;
}

.deal .row .content .count-down .box span{
    font-size: 1.7rem;
    color:#fff;
    display: block;
    background:#666;
    padding:.5rem;
}

.contact .row{
    display: flex;
    flex-wrap: wrap;
    border:.1rem solid rgba(0,0,0,.3);
}

.contact .row .map{
    width:100%;
    flex:1 1 40rem;
}

.contact .row form{
    padding:2rem;
    flex:1 1 40rem;
}

.contact .row form .inputBox{
    position: relative;
}

.contact .row form .inputBox input, .contact .row form .inputBox textarea{
    width:100%;
    border-bottom: .1rem solid rgba(0,0,0,.3);
    padding:1rem 0;
    margin:1.5rem 0;
    font-size: 1.7rem;
    text-transform: none;
    color:#333;
}

.contact .row form .inputBox textarea{
    resize: none;
    height:15rem;
}

.contact .row form .inputBox input:focus,
.contact .row form .inputBox textarea:focus{
    border-color: var(--green);
}

.contact .row form .inputBox label{
    position: absolute;
    top:2.3rem; left:0;
    font-size: 1.7rem;
}

.contact .row form .inputBox input:focus ~ label,
.contact .row form .inputBox textarea:focus ~ label,
.contact .row form .inputBox input:valid ~ label,
.contact .row form .inputBox textarea:valid ~ label{
    top:-.1rem;
    font-size: 1.5rem;
    color:#666;
}

.footer .box-container{
    display: flex;
    flex-wrap: wrap;
    gap:1.5rem;
}

.footer .box-container .box{
    flex:1 1 25rem;
}

.footer .box-container .box h3{
    color:#333;
    font-size: 2.5rem;
    padding:1rem 0;
}

.footer .box-container .box p{
    color:#666;
    font-size: 1.5rem;
    padding:1rem 0;
}

.footer .box-container .box a{
    display: block;
    color:#666;
    font-size: 1.5rem;
    padding:1rem 0;
}

.footer .box-container .box a:hover{
    text-decoration: underline;
    color:var(--green);
}

.footer .credit{
    font-size: 2rem;
    padding:2rem 1rem;
    margin-top: 2rem;
    border-top: .1rem solid rgba(0,0,0,.1);
    text-align: center;
    font-weight: normal;
}

.footer .credit span{
    color:var(--green);
}

.scroll-top{
    position: fixed;
    bottom: 7.5rem; right:2rem;
    z-index: 1000;
    font-size: 3.5rem;
    background:rgba(0,255,0,.1);
    color:var(--green);
    border-radius: .5rem;
    border:.1rem solid rgba(0,0,0,.1);
    padding:.5rem 1.5rem;
    display: none;
}

.scroll-top:hover{
    background:var(--green);
    color:#fff;
}

















/* media queries  */

@media (max-width:1200px){

    html{
        font-size: 55%;
    }

}

@media (max-width:991px){

    .header-1,
    .header-2,
    .header-3{
        padding:2rem;
    }

    section{
        padding:1.5rem;
    }

}

@media (max-width:768px){

    #menu-bar{
        display: initial;
    }

    .header-3 .navbar{
        position: absolute;
        top:100%; left: 0; right: 0;
        background:#eee;
        padding:1rem 2rem;
        border-top: .1rem solid rgba(0,0,0,.3);
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
    }

    .header-3 .navbar.active{
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
    }

    .header-3 .navbar a{
        display: block;
        margin:1.5rem 0;
        padding:1.5rem;
        border-radius: .5rem;
        border:.1rem solid rgba(0,0,0,.3);
        background:#fff;
        text-align: center;
    }

    .header-2{
        flex-flow: column;
    }

    .header-2 .search-bar-container{
        width: 100%;
        margin-top: 2rem;
    }

    .home .home-slider .box{
        background-position: right !important;
        z-index: 0;
    }

    .home .home-slider .box::before{
        content: '';
        position: absolute;
        top:0; left: 0;
        height: 100%;
        width:100%;
        z-index: -1;
        background: rgba(255,255,255,.7);
    }

    .home .home-slider .box .content h3{
        font-size: 4.5rem;
    }

}

@media (max-width:450px){

    html{
        font-size: 50%;
    }

    .header-1{
        display: none;
    }

    .deal .row .content .count-down .box{
        width:7rem;
    }

    .deal .row .content .count-down .box h3{
        font-size: 3rem;
        padding:.5rem 0;
    }

    .deal .row .content .count-down .box span{
        font-size: 1.5rem;
    }
    

}